<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
    <appender name="DEBUGFILE" class="org.apache.log4j.RollingFileAppender">
        <param name="Append" value="true"/>
        <param name="File" value="/home/jaroos/Documents/lorawan-based-automatic-weather-station-master/.metadata/.ide.log"/>
        <param name="MaxBackupIndex" value="1"/>
        <param name="MaxFileSize" value="50MB"/>
        <param name="Threshold" value="INFO"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss,SSS} [%p] %c{1}:%L - %m%n"/>
        </layout>
    </appender>
    <root>
        <level value="ALL"/>
        <appender-ref ref="DEBUGFILE"/>
    </root>
</log4j:configuration>